Package ch.qos.logback.access.spi

# Interface IAccessEvent

All Superinterfaces:
  `DeferredProcessingAware`

All Known Implementing Classes:
  `AccessEvent`

public interface IAccessEvent extends DeferredProcessingAware
The Access module's internal representation of logging events. When the logging component instance is called in the container to log then a `AccessEvent` instance is created. This instance is passed around to the different logback components.

Author:
  Ceki Gülcü, Sébastien Pennec, Jörn Huxhorn

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NA`
`static final int`
`SENTINEL`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String key)`
`long`
`getContentLength()`
`String`
`getCookie(String key)`
`long`
`getElapsedSeconds()`
The number of seconds elapsed between receiving the request and logging it.
`long`
`getElapsedTime()`
The time elapsed between receiving the request and logging it in milliseconds.
`int`
`getLocalPort()`
`String`
`getMethod()`
`String`
`getProtocol()`
`String`
`getQueryString()`
`String`
`getRemoteAddr()`
`String`
`getRemoteHost()`
`String`
`getRemoteUser()`
`javax.servlet.http.HttpServletRequest`
`getRequest()`
Returns the underlying HttpServletRequest.
`String`
`getRequestContent()`
`String`
`getRequestHeader(String key)`
`Map<String,String>`
`getRequestHeaderMap()`
`Enumeration<String>`
`getRequestHeaderNames()`
`String[]`
`getRequestParameter(String key)`
`Map<String,String[]>`
`getRequestParameterMap()`
`String`
`getRequestURI()`
`String`
`getRequestURL()`
The first line of the request.
`javax.servlet.http.HttpServletResponse`
`getResponse()`
Returns the underlying HttpServletResponse.
`String`
`getResponseContent()`
`String`
`getResponseHeader(String key)`
`Map<String,String>`
`getResponseHeaderMap()`
`List<String>`
`getResponseHeaderNameList()`
`ServerAdapter`
`getServerAdapter()`
`String`
`getServerName()`
`String`
`getSessionID()`
`int`
`getStatusCode()`
`String`
`getThreadName()`
`long`
`getTimeStamp()`
The number of milliseconds elapsed from 1/1/1970 until logging event was created.
`void`
`setThreadName(String threadName)`

### Methods inherited from interface ch.qos.logback.core.spi.DeferredProcessingAware

`prepareForDeferredProcessing`

## Field Details

### NA

static final String NA

See Also:
  - Constant Field Values

### SENTINEL

static final int SENTINEL

See Also:
  - Constant Field Values

## Method Details

### getRequest

javax.servlet.http.HttpServletRequest getRequest()
Returns the underlying HttpServletRequest. After serialization the returned value will be null.

Returns:

### getResponse

javax.servlet.http.HttpServletResponse getResponse()
Returns the underlying HttpServletResponse. After serialization the returned value will be null.

Returns:

### getTimeStamp

long getTimeStamp()
The number of milliseconds elapsed from 1/1/1970 until logging event was created.

### getElapsedTime

long getElapsedTime()
The time elapsed between receiving the request and logging it in milliseconds.

### getElapsedSeconds

long getElapsedSeconds()
The number of seconds elapsed between receiving the request and logging it.

### getRequestURI

String getRequestURI()

### getRequestURL

String getRequestURL()
The first line of the request.

### getRemoteHost

String getRemoteHost()

### getRemoteUser

String getRemoteUser()

### getProtocol

String getProtocol()

### getMethod

String getMethod()

### getServerName

String getServerName()

### getSessionID

String getSessionID()

### setThreadName

void setThreadName(String threadName)

### getThreadName

String getThreadName()

### getQueryString

String getQueryString()

### getRemoteAddr

String getRemoteAddr()

### getRequestHeader

String getRequestHeader(String key)

### getRequestHeaderNames

Enumeration<String> getRequestHeaderNames()

### getRequestHeaderMap

Map<String,String> getRequestHeaderMap()

### getRequestParameterMap

Map<String,String[]> getRequestParameterMap()

### getAttribute

String getAttribute(String key)

### getRequestParameter

String[] getRequestParameter(String key)

### getCookie

String getCookie(String key)

### getContentLength

long getContentLength()

### getStatusCode

int getStatusCode()

### getRequestContent

String getRequestContent()

### getResponseContent

String getResponseContent()

### getLocalPort

int getLocalPort()

### getServerAdapter

ServerAdapter getServerAdapter()

### getResponseHeader

String getResponseHeader(String key)

### getResponseHeaderMap

Map<String,String> getResponseHeaderMap()

### getResponseHeaderNameList

List<String> getResponseHeaderNameList()